---
title: Delete ISOs
url: https://docs.vultr.com/products/orchestration/isos/management/delete-isos
description: Learn how to permanently remove custom ISO files from your Vultr account when theyre no longer needed.
publish_date: 2024-09-23T20:21:19.682364Z
last_updated: 2025-09-29T04:50:46.344148Z
---

# How to Delete ISO Images for Vultr Instances

Deleting ISO Images for Vultr instances allows you to completely remove the file from your account and make room for more images. Vultr only permits two ISO files at a time. Removing an ISO file doesn't affect any Cloud Compute instances you've provisioned using the image.

Follow this guide to delete ISO images for Vultr instances using the Vultr Console, API, CLI, or Terraform.

=== "Vultr Console"

    1. Navigate to **Products** and select **Orchestration**. Then, choose **ISOs**.
    1. Select the target ISO image from the list and click the delete icon.
    1. Click **Delete ISO** to confirm.

=== "Vultr API"

    1. Send a `GET` request to the [**List ISOs** endpoint](https://www.vultr.com/api/#tag/iso/operation/list-isos) to list all ISOs.

        ```console
        $ curl "https://api.vultr.com/v2/iso" \
            -X GET \
            -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

    1. Send a `DELETE` request to the [**Delete ISO** endpoint](https://www.vultr.com/api/#tag/iso/operation/delete-iso) and specify an ISO ID to delete the ISO file.

        ```console
        $ curl "https://api.vultr.com/v2/iso/iso_id" \
            -X DELETE \
            -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

        Visit the [**Delete ISO** endpoint](https://www.vultr.com/api/#tag/iso/operation/delete-iso) to view additional attributes to add to your request.

=== "Vultr CLI"

    1. List all cloud compute instances and note the instance ID.

        ```console
        $ vultr-cli instance list
        ```

    1. List all ISOs and note the ISO ID.

        ```console
        $ vultr-cli iso list
        ```

    1. Delete an ISO by specifying an ISO ID.

        ```console
        $ vultr-cli iso delete iso_id
        ```
    
        Run `vultr-cli iso delete --help` to view all options.

=== "Terraform"

    1. Open your Terraform configuration where the ISO resource was defined.

    1. Remove the `vultr_iso` resource block, or destroy it by target.

        ```terraform
        resource "vultr_iso" "custom_iso" {
            url = "https://example.com/remote_iso_file_url.iso"
        }

        # To delete, either remove this block from configuration
        # or run: terraform destroy -target vultr_iso.custom_iso
        ```

    1. Apply the configuration and observe the following output:

        ```
        Apply complete! Resources: 0 added, 0 changed, 1 destroyed.
        ```
